import {injectLocal, provideLocal} from "@vueuse/core";

const key = Symbol('PAPER_NAVIGATOR_POPUP')

export const useProvidePaperNavigatorRef = function (popupRef) {
    const options = {navigator: popupRef}
    provideLocal(key, options)
    return options
}

export const useInjectPaperNavigatorRef = function () {
    return injectLocal(key)
}